<div class="col-md-12">
    <div class="blog-single-content bordered blog-container">
        <div class="blog-single-head">
                <div class="portlet light bordereds">
                        <div class="portlet-title">
                            <div class="media" style="margin: 10px 0;">
                                <div class="media-left">
                                    <a href="javascript:void(0);">
                                        <img alt="" class="media-object" [src]="getprofilePath(this.profilePath)">
                                    </a>
                                </div>
                                <div class="media-body">
                                    <h4 class="media-heading" style="font-size: 14px;">
                                        <a href="javascript:void(0);">{{ this.displayName }}</a> 
                                        <div class="blog-single-head-date" style="font-size: 11px;margin-top:5px;">
                                            <span> {{ this.strpostdt }} </span>
                                        </div>
                                        <div class="blog-single-head-date" style="font-size: 11px;margin-top:2px;">
                                            <a *ngIf="isfollow; "  (click)="follow( 'f')">Follow</a> <a *ngIf="!isfollow" (click)="follow( 'uf')">  Unfollow </a>| <a href="javascript:void(0);">Message</a> | <a href="javascript:void(0);">Fan</a>
                                        </div>
                                    </h4> 
                                </div>
                            </div>
                            <div class="actions">
                                
                            </div>
                        </div>
                        
                    </div>
        </div>
        <!-- <div class="blog-single-img col-md-12" style="padding-bottom:700px;">
            <p>fhhfhshsfhshsf</p>
        </div> -->
        <div class="blog-single-img col-md-12">
            <slide [PostId]="this.postInfo.postid" [PostIdIndex]="this.PostIdIndex"></slide> 
        </div>
        
        <div class="col-md-8 blog-single-desc" #blogdesc *ngIf="this.viewmode">
            <p> {{ this.posthtmlToAdd }} </p>
        </div>
        <div class="col-md-8 blog-single-desc" *ngIf="!this.viewmode">
            <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
                    <label>Description</label>
                    <textarea type="text" formControlName="description" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.description.errors }" 
                    [(ngModel)] = "this.posthtmlToAdd" rows="8"></textarea>
                    <div *ngIf="submitted && f.description.errors" class="invalid-feedback">
                        <div *ngIf="f.description.errors.required">description is required</div>
                    </div>
                    <div class="text-center">
                        <button class="btn btn-primary mr-1 hide" #btndescsave>Save</button>
                        <button class="btn btn-secondary hide" type="reset" (click)="onReset()">Cancel</button>
                    </div>
            </form>
            <p></p>
        </div>
        <div class="col-md-8 blog-single-foot" style="padding: 20px 0 50px;">
            <div class="col-md-4">
                <button class="btn blue btn-block btn-outline " style="border-color: #ffffff;" (click)="SaveLikes()"><i class="icon-like"></i> {{ this.likes }}</button>
            </div>
            <div class="col-md-4">
                <button class="btn blue btn-block btn-outline " style="border-color: #ffffff;"><i class="icon-bubbles"></i> Comment</button>
            </div>
            <div class="col-md-4">
                <button class="btn blue btn-block btn-outline " style="border-color: #ffffff;" (click)="SharePost()"><i class="icon-share"></i> Share</button>
            </div>

            <!-- <div class="col-md-4">
                <button class="btn blue btn-block btn-outline "><i class="icon-like"></i> Like</button>
            </div>
            <div class="col-md-4">
                    <button class="btn blue btn-block btn-outline "><i class="icon-like"></i> Comment</button> 
            </div>
            <div class="col-md-4">
                <button class="btn blue btn-block btn-outline "><i class="icon-share"></i> Share</button>
            </div> -->

            <!-- <div class="col-md-4">
                <button type="button" class="btn default btn-block"><i class="icon-like"></i> Comment</button>
            </div>
            <div class="col-md-4">
                <button type="button" class="btn default btn-block"><i class="icon-bubbles"></i> Comment</button>
            </div>
            <div class="col-md-4">
                <button type="button" class="btn default btn-block"><i class="icon-share"></i> Share</button>
            </div> -->

            
        </div>
        <div class="col-md-8 blog-comments" style="float: none;">
            <h3 class="sbold blog-comments-title">Comments({{ this.icmtCount }})</h3>
            
            <div class="col-md-8" style="float: none;margin-left: -27px;">
                <div class="col-md-10">
                    <div class="form-group">
                        <textarea rows="3" name="message" placeholder="Write comment here ..." class="form-control c-square" [(ngModel)] = "this.curComment"></textarea>
                    </div>
                </div>
                <div class="col-md-2">
                    <div class="form-group">
                        <button type="submit" class="btn blue uppercase btn-md sbold btn-block"  (click)="SaveComment()">Submit</button>
                    </div>
                </div>
            
                <div class="col-md-8">
                    <div class="c-comment-list" style="margin-bottom: 6px;" *ngIf="!this.displayComment;">
                        <div class="media" *ngFor="let row of this.curcommentList; let i = index"  style="margin: 10px 0;">
                            <div class="media-left">
                                <a href="javascript:void(0);">
                                    <img class="media-object" alt="" [src]="row.imgpath"> </a>
                            </div>
                            <div class="media-body" style="height: 75px;overflow-y: auto;">
                                <h4 class="media-heading" style="font-size: 14px;">
                                    <a href="javascript:void(0);">{{ row.dsnm }}</a> on
                                    <span class="c-date">{{ GetCommentTime(row.cmttime) }}</span>
                                </h4> {{ row.cmt }} </div>
                        </div>
                        <a  *ngIf="this.showComment" (click)="LoadMoreComment()">see more</a>
                    </div>
                </div>
            </div>
        </div>

<!-- Button trigger modal -->
<button type="button" class="btn btn-primary hide" data-toggle="modal" data-target="#exampleModal">
    Launch demo modal
</button>
<!-- Modal -->
<div class="modal" id="exampleModal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
    <div class="modal-content">
        <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
        </div>
        <div class="modal-body">
            Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget
            lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet
            fermentum. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum.
        </div>
        <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Save changes</button>
        </div>
    </div>
    </div>
</div>

</div>
</div>